package com.jz.dmp.modules.controller.DataIntegration.bean;

import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: ConflictCheckReq
 * @Description: 冲突检查
 * @Author : Bellamy
 * @Date 2021/2/22
 * @Version 1.0
 */
@Data
@ApiModel(value = "状态查看列表分页查询请求参数对象", description = "状态查看请求参数对象")
public class ConflictCheckReq implements Serializable {
    private static final long serialVersionUID = 7850773528490999353L;

    @NotNull(message = "目标数据源id不能为空")
    @NotEmpty(message = "目标数据源id不能为空")
    @ApiModelProperty(value = "目标数据源ID")
    private String targetDataSourceId;

    @NotNull(message = "表名称不能为空")
    @NotEmpty(message = "表名称不能为空")
    @ApiModelProperty(value = "表名称")
    private String tablesName;
}
