package com.jz.dmp.modules.controller.projconfig.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import com.jz.dmp.modules.model.DmpComputEngine;
import com.jz.dmp.modules.model.DmpComputEngineParam;

public class MyDmpComputEngineConverter {
	
	private static MyDmpComputEngineConverter instance;
	
	private MyDmpComputEngineConverter() {};
	
	public synchronized static MyDmpComputEngineConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpComputEngineConverter();
		}
		
		return instance;
	}
	
	public DmpComputEngineDto domain2dto(DmpComputEngine dmpComputEngine) {
		DmpComputEngineDto dmpComputEngineDto = new DmpComputEngineDto();
		BeanUtils.copyProperties(dmpComputEngine, dmpComputEngineDto);
		
		return dmpComputEngineDto;
	}
	
	public List<DmpComputEngineDto> domain2dto(List<DmpComputEngine> dmpComputEngines) {
		List<DmpComputEngineDto> dmpComputEngineDtos = new ArrayList<DmpComputEngineDto>();
		dmpComputEngines.stream().forEach(x -> {
			dmpComputEngineDtos.add(domain2dto(x));
		});
		
		return dmpComputEngineDtos;
	}
	
	public DmpComputEngine dto2domain(DmpComputEngineDto dmpComputEngineDto) {
		DmpComputEngine dmpComputEngine = new DmpComputEngine();
		BeanUtils.copyProperties(dmpComputEngineDto, dmpComputEngine);
		
		return dmpComputEngine;
	}
	
	public List<DmpComputEngine> dto2domain(List<DmpComputEngineDto> dmpComputEngineDtos) {
		List<DmpComputEngine> dmpComputEngines = new ArrayList<DmpComputEngine>();
		dmpComputEngineDtos.stream().forEach(x -> {
			dmpComputEngines.add(domain2dto(x));
		});
		
		return dmpComputEngines;
	}

}
